<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: cpp_filrouge_iscj_allemann/include/Log/LogCollection.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7b4dd9274471389300495e9c763ca813.html">cpp_filrouge_iscj_allemann</a></li><li class="navelem"><a class="el" href="dir_e5b3fe71963387781ba01d2a56ee1874.html">include</a></li><li class="navelem"><a class="el" href="dir_20252c59fe8f028a76784af50d193d74.html">Log</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">LogCollection.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_log_collection_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;queue&gt;</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_log_8hpp.html">./Log.hpp</a>&quot;</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">using namespace </span>std;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">namespace </span>He_Arc::RPG</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;{</div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">   38</a></span>&#160;    <span class="keyword">class </span><a class="code" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    {</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#af3aff12d2b7dc69128006eac2c31f16c">   45</a></span>&#160;        <span class="keyword">static</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a> *<a class="code" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#af3aff12d2b7dc69128006eac2c31f16c">m_instance</a>;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a1691ef1468db345fd09c8d4d31cebe4c">   52</a></span>&#160;        queue&lt;unique_ptr&lt;Log&gt;&gt; <a class="code" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a1691ef1468db345fd09c8d4d31cebe4c">m_savedLogs</a>;</div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a65172e917c7ba4c87a77f17e855c5e42">   58</a></span>&#160;        queue&lt;unique_ptr&lt;Log&gt;&gt; <a class="code" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a65172e917c7ba4c87a77f17e855c5e42">m_unsavedLogs</a>;</div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a7d20041e286e0530abff974ed4b23c98">   63</a></span>&#160;        <span class="keywordtype">string</span> m_saveFolderPath{<span class="stringliteral">&quot;./log/&quot;</span>};</div>
<div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a37570b5e3e742530c730e49f294ea385">   68</a></span>&#160;        <span class="keywordtype">string</span> m_saveName{<span class="stringliteral">&quot;logs.log&quot;</span>};</div>
<div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a44d6630ceebc5b45eb6f85402c6565a7">   74</a></span>&#160;        <span class="keywordtype">bool</span> m_namePrecededByDate{<span class="keyword">true</span>};</div>
<div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a3b90ac5495b8d488695b0b83fab8406a">   79</a></span>&#160;        <span class="keywordtype">bool</span> m_autosave{<span class="keyword">true</span>};</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160; </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        <a class="code" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a>(<span class="keywordtype">string</span> path, <span class="keywordtype">string</span> name, <span class="keywordtype">bool</span> dateBeforeName, <span class="keywordtype">bool</span> autosave);</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        <a class="code" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a>();</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        <span class="keywordtype">void</span> SetName(<span class="keywordtype">string</span> name);</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160; </div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        <span class="keywordtype">string</span> GetPathAndFileName();</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160; </div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        <span class="keywordtype">void</span> AddHeaderInLogFile(<span class="keywordtype">string</span> pathAndFilename);</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160; </div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00120"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#ad29ce6c5028ec1da4812177265117b71">  120</a></span>&#160;        <a class="code" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#ad29ce6c5028ec1da4812177265117b71">LogCollection</a>(<a class="code" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a> &amp;) = <span class="keyword">delete</span>;</div>
<div class="line"><a name="l00125"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a7c504113b68b568afb51f701aff604f7">  125</a></span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a7c504113b68b568afb51f701aff604f7">operator=</a>(<span class="keyword">const</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a> &amp;) = <span class="keyword">delete</span>;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;        <span class="keyword">virtual</span> ~<a class="code" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a>();</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160; </div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        <span class="keyword">static</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a> *InitLogCol(<span class="keywordtype">string</span> path, <span class="keywordtype">string</span> name, <span class="keywordtype">bool</span> dateBeforeName, <span class="keywordtype">bool</span> autosave);</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160; </div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        <span class="keyword">static</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a> *GetInstance();</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160; </div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;        <span class="keywordtype">void</span> SaveLog();</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;        <span class="keywordtype">void</span> AddLog(unique_ptr&lt;Log&gt; log);</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;        <span class="keywordtype">void</span> SetAutoSave(<span class="keywordtype">bool</span> enable);</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;    };</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;} <span class="comment">// namespace He_Arc::RPG</span></div>
<div class="ttc" id="a_log_8hpp_html"><div class="ttname"><a href="_log_8hpp.html">Log.hpp</a></div><div class="ttdoc">: Header file, for the class &quot;Log.cpp&quot;</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_log_collection_html"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></div><div class="ttdoc">The LogCollection is a class for the centralisation of the logs. In other words, this class contains ...</div><div class="ttdef"><b>Definition:</b> LogCollection.hpp:39</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_log_collection_html_a1691ef1468db345fd09c8d4d31cebe4c"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a1691ef1468db345fd09c8d4d31cebe4c">He_Arc::RPG::LogCollection::m_savedLogs</a></div><div class="ttdeci">queue&lt; unique_ptr&lt; Log &gt; &gt; m_savedLogs</div><div class="ttdoc">Ordered collection of each logs who occurs and was already saved in the file (The collection is of ty...</div><div class="ttdef"><b>Definition:</b> LogCollection.hpp:52</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_log_collection_html_a65172e917c7ba4c87a77f17e855c5e42"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a65172e917c7ba4c87a77f17e855c5e42">He_Arc::RPG::LogCollection::m_unsavedLogs</a></div><div class="ttdeci">queue&lt; unique_ptr&lt; Log &gt; &gt; m_unsavedLogs</div><div class="ttdoc">Ordered collection of each logs who occurs and was already saved in the file (The collection is of ty...</div><div class="ttdef"><b>Definition:</b> LogCollection.hpp:58</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_log_collection_html_a7c504113b68b568afb51f701aff604f7"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a7c504113b68b568afb51f701aff604f7">He_Arc::RPG::LogCollection::operator=</a></div><div class="ttdeci">void operator=(const LogCollection &amp;)=delete</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_log_collection_html_ad29ce6c5028ec1da4812177265117b71"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#ad29ce6c5028ec1da4812177265117b71">He_Arc::RPG::LogCollection::LogCollection</a></div><div class="ttdeci">LogCollection(LogCollection &amp;)=delete</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_log_collection_html_af3aff12d2b7dc69128006eac2c31f16c"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#af3aff12d2b7dc69128006eac2c31f16c">He_Arc::RPG::LogCollection::m_instance</a></div><div class="ttdeci">static LogCollection * m_instance</div><div class="ttdoc">reference on himself</div><div class="ttdef"><b>Definition:</b> LogCollection.hpp:45</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
